﻿<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>@ViewData["Title"] - UploadFileMVC</title>
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
        <link rel="stylesheet" href="~/UploadFileMVC.styles.css" asp-append-version="true" />
    </head>

    <body>
        <header>
            <nav
                class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
                <div class="container-fluid">
                    <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">UploadFileMVC</a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                        data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent" aria-expanded="false"
                        aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                        <ul class="navbar-nav flex-grow-1">
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Home"
                                    asp-action="Index">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Home"
                                    asp-action="Privacy">Privacy</a>
                            </li>
                        </ul>
                        <ul class="navbar-nav">
                        @if (User.Identity!.IsAuthenticated)
                        {
                                <li><a asp-controller="Account" class="nav-link" asp-action="Profile">Hello
                                    @User.Identity.Name!</a></li>
                                <li><a id="qsLogoutBtn" class="nav-link" asp-controller="Account"
                                        asp-action="Logout">Logout</a></li>
                                <li><a id="qsLogoutBtn" class="nav-link" asp-controller="Account"
                                        asp-action="Logout2">Logout (2nd provider)</a></li>
                        }
                        else
                        {
                                <li><a id="qsLoginBtn" class="nav-link" asp-controller="Account"
                                        asp-action="Login">Login</a></li>
                                <li><a id="qsLoginBtn" class="nav-link" asp-controller="Account" asp-action="Login2">Login
                                        (2nd provider)</a></li>
                        }
                        </ul>

                    </div>
                </div>
            </nav>
        </header>
        <div class="container">
            <main role="main" class="pb-3">
            @RenderBody()
            </main>
        </div>

        <footer class="border-top footer text-muted">
            <div class="container">
                &copy; 2023 - UploadFileMVC - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
            </div>
        </footer>
        <script src="~/lib/jquery/dist/jquery.min.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
    </body>

</html>
